/* style.css */

body {
    background-color: rgb(0, 0, 0);
    color: white;
    font-family: 'Courier New', Courier, monospace;
    margin: 0;
    padding: 20px;
    text-align: center;
}

a {
    color: #00ffff;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

pre {
    background-color: #2e2e2e;
    color: #ffffff;
    padding: 10px;
    border: 1px solid #4e4e4e;
    overflow-x: auto;
}

code {
    font-family: 'Courier New', Courier, monospace;
}


body::after {
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: black;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease-out;
    z-index: 1000;
}

body.scrolling::after {
    opacity: 1;
}


.fade-in {
    opacity: 0;
    animation: fadeIn 2s forwards;
}

@keyframes fadeIn {
    to {
        opacity: 1;
    }
}
